Bug 532524 - Review request: jcifs - Common Internet File System Client in 100% Java
Review request: jcifs - Common Internet File System Client in 100% Java
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-11-02 13:00 EST by Mary Ellen Foster
Modified: 2010-11-19 10:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 10:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-02 13:00:54 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/jcifs.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/jcifs-1.3.12-1.fc12.src.rpm
Description:
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).



This package was imported from JPackage
Comment 1 Stanislav Ochotnicky 2010-06-08 10:30:39 EDT
I'll do the review, but would you mind updating to latest version first? As far as I can see, upstream keeps only latest version of sources available for each main version. It might be a good idea to contact them about it. It makes verifying sources quite hard.
Comment 2 Stanislav Ochotnicky 2010-11-19 10:42:46 EST
I am closing this since there seems to be no interest to continue the review at this time. If that changes, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.